Telia API (2.0)

Download OpenAPI specification:Download

APIv2 is JSON based RESTful API for managing DNS services.

Authorization

HTTP bearer auth is used for authentication:

Use following header:

Authorization: Bearer thisisatoken

Requests

Request types are divided into 4 separate HTTP codes.

Code Description
GET Access one or more resource. All resources are returned in array. Single resources are returned as single array element. When accessing single resourse, then URL must end with giver resource identificator
POST Create new resource. Resouce data in JSON structure should be sent in request body. Generated resource is returned in response as single array element.
PUT Update existing resource. URL must contain given resource identificator of resource that is updated. Otherwise same as POST request
DELETE Delete existing resource. URL must contain given resource identificator.

Responses

Standard HTTP status codes are used to give feedback about operation. In addition, human readable response message is sent in header X-Status-Message. Using response message in your scripts is not recommended as these may change without warning. Descriptions of all HTTP standard status codes are here. Most commonly used are:

Code Description
200 successful GET request
201 successful POST/PUT request
202 successful POST/PUT request in case request was accepted, but will be processed later (for example ordering new services)
204 successful DELETE request
422 unsuccessful request in case resource in request has validation errors. Error codes in response are in same structure as resource itself.
400 unsuccessful request in case request itself is invalid
402 unsuccessful request in case payment is required for further actions. Mostly used when package upgrade is required.
409 unsuccessful request in case there is a conflict with the current state of the target resource. Mostly it indicates a concurrent request.

Rate limit

The number of request is limited to 60 per minute per IP.

Rate limit information is contained in every response headers.

  • X-Ratelimit-Limit The number of request that is allowed to be made in a minute
  • X-Ratelimit-Remaining The number of remaining requests until reset

If you have reached the rate limit, then HTTP response code 429 is returned

Use common sense

Don't create requests without need. Don't update resources that are not modified and don't ask for data that you already know.

For example when writing custom dynamic DNS style script for DNS A record, then.

  • Update IP only when it's changed and don't post same data again.
  • Keep track of last IP on your side and don't ask it from API after every n minutes to compare it with current one.

Pagination and sorting

On some GET endpoints we have enabled pagination. In that case there is header x-pager-enabled is sent in response.

Response headers describing pager:

Header Description
x-pager-enabled 1 when pager is enabled
x-pager-page Current page number
x-pager-pages Total number of pages
x-pager-limit Items per page
x-pager-items Total number of items

Request headers to use pager:

Header Description
x-pager-page Current page number
x-pager-limit Items per page. Default is 10 and maximum is 100
x-order-by Sort by field. Sortable fields are described in Resource documentation
x-order-dir Sort direction: asc or desc

Examples

Example CURL request to get DNS A record

curl -X GET https://api.teliaklm.ee/v2/dns/example.com/a/1 \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic em9uZWRfdXNlcm5hbWU6em9uZWlkX2FwaV9rZXk='

Example CURL request to create DNS A record

curl -X POST https://api.teliaklm.ee/v2/dns/example.com/a \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic em9uZWRfdXNlcm5hbWU6em9uZWlkX2FwaV9rZXk=' \
-d '{"name": "prefix.example.com","destination": "123.123.123.123"}'

Successful GET, POST and PUT responses always contain requested (or created/updated) resource(s). For example:

[
    {
        "id": "123",
        "resource_url": "https://api.teliaklm.ee/v2/dns/example.com/a/123",
        "name": "prefix.example.com",
        "destination": "123.123.123.123",
        "delete": true,
        "modify": true
    }
]

Authentication

basic_auth

Security Scheme Type HTTP
HTTP Authorization Scheme basic

DNS

Get DNS zone

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

identificator
string

identificator

active
boolean

Is zone active

ipv6
boolean

Are ipv6 records allowed

Response samples

Content type
application/json
[
  • {
    }
]

A record

get Zone A records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
destination
string

IPv4

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create A record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

IPv4

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

IPv4

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get A record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
destination
string

IPv4

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update A record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

IPv4

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

IPv4

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete A record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

AAAA record

get Zone AAAA records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
destination
string

IPv6

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create AAAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

IPv6

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

IPv6

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get AAAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
destination
string

IPv6

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update AAAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

IPv6

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

IPv6

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete AAAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

NS record

get Zone NS records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create NS record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

Destination

name
string

Hostname

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get NS record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update NS record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

Destination

name
string

Hostname

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete NS record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

MX record

get Zone MX records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create MX record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
priority
integer

Priority

destination
string

Destination

name
string

Hostname

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get MX record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update MX record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
priority
integer

Priority

destination
string

Destination

name
string

Hostname

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete MX record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

CNAME record

get Zone CNAME records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create CNAME record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

Destination

name
string

Hostname

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get CNAME record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update CNAME record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

Destination

name
string

Hostname

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete CNAME record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

TXT record

get Zone TXT records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
destination
string

TXT content value

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create TXT record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

TXT content value

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

TXT content value

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get TXT record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
destination
string

TXT content value

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update TXT record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

TXT content value

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

TXT content value

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete TXT record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

SSHFP record

get Zone SSHFP records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
algorithm
integer

Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519

type
integer

Type: 1=SHA-1, 2=SHA-256

destination
string

Fingerprint

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create SSHFP record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
algorithm
integer

Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519

type
integer

Type: 1=SHA-1, 2=SHA-256

destination
string

Fingerprint

name
string

Hostname

Responses

Response Schema: application/json
Array ()
algorithm
integer

Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519

type
integer

Type: 1=SHA-1, 2=SHA-256

destination
string

Fingerprint

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get SSHFP record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
algorithm
integer

Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519

type
integer

Type: 1=SHA-1, 2=SHA-256

destination
string

Fingerprint

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update SSHFP record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
algorithm
integer

Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519

type
integer

Type: 1=SHA-1, 2=SHA-256

destination
string

Fingerprint

name
string

Hostname

Responses

Response Schema: application/json
Array ()
algorithm
integer

Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519

type
integer

Type: 1=SHA-1, 2=SHA-256

destination
string

Fingerprint

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete SSHFP record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

SRV record

get Zone SRV records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

weight
integer

Weight

port
integer

Port

destination
string

Target

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create SRV record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
priority
integer

Priority

weight
integer

Weight

port
integer

Port

destination
string

Target

name
string

Hostname

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

weight
integer

Weight

port
integer

Port

destination
string

Target

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get SRV record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

weight
integer

Weight

port
integer

Port

destination
string

Target

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update SRV record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
priority
integer

Priority

weight
integer

Weight

port
integer

Port

destination
string

Target

name
string

Hostname

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

weight
integer

Weight

port
integer

Port

destination
string

Target

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete SRV record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

URL record

get Zone URL records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
destination
string

URL where hostname is redirected to

type
integer
Default: "301"

Redirect HTTP redirect status code. Accepted values are 301 and 302

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create URL record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

URL where hostname is redirected to

type
integer
Default: "301"

Redirect HTTP redirect status code. Accepted values are 301 and 302

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

URL where hostname is redirected to

type
integer
Default: "301"

Redirect HTTP redirect status code. Accepted values are 301 and 302

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get URL record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
destination
string

URL where hostname is redirected to

type
integer
Default: "301"

Redirect HTTP redirect status code. Accepted values are 301 and 302

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update URL record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

URL where hostname is redirected to

type
integer
Default: "301"

Redirect HTTP redirect status code. Accepted values are 301 and 302

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

URL where hostname is redirected to

type
integer
Default: "301"

Redirect HTTP redirect status code. Accepted values are 301 and 302

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete URL record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

CAA record

get Zone CAA records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
destination
string

Value

flag
integer

Flag

tag
string

Tag

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create CAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

Value

flag
integer

Flag

tag
string

Tag

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

Value

flag
integer

Flag

tag
string

Tag

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get CAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
destination
string

Value

flag
integer

Flag

tag
string

Tag

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update CAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

Value

flag
integer

Flag

tag
string

Tag

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

Value

flag
integer

Flag

tag
string

Tag

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete CAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

TLSA record

get Zone TLSA records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
certificate_usage
integer

Certificate usage: 0-3

selector
integer

selector: 0-1

matching_type
integer

Matching type: 0-2

destination
string

Certificate Association Data

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create TLSA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
certificate_usage
integer

Certificate usage: 0-3

selector
integer

selector: 0-1

matching_type
integer

Matching type: 0-2

destination
string

Certificate Association Data

name
string

Hostname

Responses

Response Schema: application/json
Array ()
certificate_usage
integer

Certificate usage: 0-3

selector
integer

selector: 0-1

matching_type
integer

Matching type: 0-2

destination
string

Certificate Association Data

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get TLSA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
certificate_usage
integer

Certificate usage: 0-3

selector
integer

selector: 0-1

matching_type
integer

Matching type: 0-2

destination
string

Certificate Association Data

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update TLSA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
certificate_usage
integer

Certificate usage: 0-3

selector
integer

selector: 0-1

matching_type
integer

Matching type: 0-2

destination
string

Certificate Association Data

name
string

Hostname

Responses

Response Schema: application/json
Array ()
certificate_usage
integer

Certificate usage: 0-3

selector
integer

selector: 0-1

matching_type
integer

Matching type: 0-2

destination
string

Certificate Association Data

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete TLSA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses